Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Interface MultipleChoice

All Superinterfaces:
  Choice

All Known Implementing Classes:
  IntOptionsChoice, StringOptionsChoice

    public interface MultipleChoice

extends Choice

MultipleChoice is simply a Choice where there are a number of alternative options.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: MultipleChoice.java,v 1.1 2004/04/28 22:35:38 joe Exp $
Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `Licence`

Field Summary

Fields inherited from interface org.crosswire.common.config.Choice
`PRIORITY_ACCESSOR, PRIORITY_CTOR, PRIORITY_EXTENDER, PRIORITY_HIGHEST, PRIORITY_LOWEST, PRIORITY_NORMAL, PRIORITY_SYSTEM`

Method Summary
`String[]` | `getOptions()` The available alternative values to be presented as options to the user where the user interface allows presentation of alternatives.

Methods inherited from interface org.crosswire.common.config.Choice
`getConvertionClass, getFullPath, getHelpText, getPriority, getString, getType, init, isSaveable, requiresRestart, setFullPath, setHelpText, setString`

Method Detail

### getOptions

    String[] getOptions()

  The available alternative values to be presented as options to the user where the user interface allows presentation of alternatives.

  Returns:
    A string array of alternatives.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD